Bug 1832576 - TypeError occurs when selecting `All Resources` under Events Tab of the Monitoring Page
Summary: TypeError occurs when selecting `All Resources` under Events Tab of the Monit...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-06 20:42 UTC by Andrew Ballantyne
Modified: 2020-05-29 13:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-29 13:16:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
demo of issue (619.11 KB, image/gif)
2020-05-06 20:42 UTC, Andrew Ballantyne
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5345 0 None closed Bug 1832576: Fix type error 2020-06-24 01:46:14 UTC

Description Andrew Ballantyne 2020-05-06 20:42:50 UTC
Created attachment 1685953 [details]
demo of issue

Description of problem:
In the Events tab of the Monitoring Page, when you select `All Resources` after selecting one or two resources then the UI fails to respond and a TypeError could be seen in the browser's console

Version-Release number of selected component (if applicable):
4.5.0-0.ci-2020-05-04-102311

How reproducible:


Steps to Reproduce:
- Go to Monitoring page in the Dev perspective
- Click on `Events` tab
- In the `Resources` dropdown, select one or two resources
- try selecting `All Resources` now

Actual results:
TypeError occurs saying `cannot read property apiGroup of undefined`
Prevents all selection

Expected results:
It should be able to list all the events of all resource type

Additional info:
See attachment for a demo of the issue.

Comment 5 XiaochuanWang 2020-05-09 02:19:57 UTC
Follow the steps and demo, it does not hit the error on Dev console.
Verified on 4.5.0-0.nightly-2020-05-08-200452


Note You need to log in before you can comment on or make changes to this bug.